Subject: [bug#68605] [PATCH 32/38] gnu: go-filippo-io-age: Move to (gnu packages golang-crypto).

From: Hilton Chain <[email-masked]>
Date: Thu, 01 Feb 2024 14:27:25 +0800

Hi Oleg,

On Sat, 20 Jan 2024 17:58:24 +0800,
Sharlatan Hellseher wrote:
>
> * gnu/packages/golang.scm (go-filippo-io-age): Move from here ...
> * gnu/packages/golang-crypto.scm: ... to here.
>
> Change-Id: I4eeadfd946910d56d2441a3469967d681b9e8677
> ---
>  gnu/packages/golang-crypto.scm | 32 +++++++++++++++++++++++++++++++-
>  gnu/packages/golang.scm        | 29 -----------------------------
>  2 files changed, 31 insertions(+), 30 deletions(-)

This change introduces cyclic module dependencies:
--8<---------------cut here---------------start------------->8---
$ guix show go-filippo-io-age
Backtrace:
In ice-9/boot-9.scm:
  2595:24 19 (call-with-deferred-observers _)
  3424:24 18 (_)
   222:29 17 (map1 _)
   222:29 16 (map1 _)
   222:29 15 (map1 _)
   222:29 14 (map1 _)
   222:29 13 (map1 _)
   222:29 12 (map1 _)
   222:29 11 (map1 _)
   222:17 10 (map1 (((gnu packages golang)) ((gnu packages golang-check))))
  3327:17  9 (resolve-interface (gnu packages golang) #:select _ #:hide _ #:prefix _ #:renamer _ # _)
In ice-9/threads.scm:
    390:8  8 (_ _)
In ice-9/boot-9.scm:
  3253:13  7 (_)
In ice-9/threads.scm:
    390:8  6 (_ _)
In ice-9/boot-9.scm:
  3544:20  5 (_)
   2836:4  4 (save-module-excursion _)
  3564:26  3 (_)
In unknown file:
           2 (primitive-load-path "gnu/packages/golang" #<procedure 7fb88b068ac0 at ice-9/boot-9.sc…>)
In gnu/packages/golang.scm:
  9402:13  1 (_)
In ice-9/boot-9.scm:
  1685:16  0 (raise-exception _ #:continuable? _)

ice-9/boot-9.scm:1685:16: In procedure raise-exception:
error: go-filippo-io-age: unbound variable
--8<---------------cut here---------------end--------------->8---

I found it since some modules involved in the changes I'm going to push are
affected.

I have moved ‘age’ and ‘age-keygen’ to golang-crypto as well in b2eac4455f70 and
95c2de71a4bc to solve this issue.

Thanks